summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/editbox3
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
commit3d4e8889889e5e36302454225999f7e146d3219c (patch)
treefa315b999f531039df54ab7af8e99f7e8daad77c /contrib/dialog/samples/editbox3
parentb905920a72950a63c9782b4911d252bfac08db6e (diff)
downloadFreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.zip
FreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.tar.gz
Update dialog to version 20100428. This changes the license under which
dialog is distributed from GPLv2 to LGPLv2 and introduces a number of new features and a new and better libdialog API. The existing libdialog will be kept temporarily as libodialog for compatibility purposes until sade, sysinstall and tzsetup have been either updated or replaced. __FreeBSD_version is now 900030. Discussed on: -current Approved by: core Obtained from: http://invisible-island.net/dialog
Diffstat (limited to 'contrib/dialog/samples/editbox3')
-rwxr-xr-xcontrib/dialog/samples/editbox318
1 files changed, 18 insertions, 0 deletions
diff --git a/contrib/dialog/samples/editbox3 b/contrib/dialog/samples/editbox3
new file mode 100755
index 0000000..aba30bd
--- /dev/null
+++ b/contrib/dialog/samples/editbox3
@@ -0,0 +1,18 @@
+#!/bin/sh
+# $Id: editbox3,v 1.7 2010/01/13 10:20:03 tom Exp $
+# example with extra- and help-buttons
+
+. ./setup-vars
+
+. ./setup-edit
+
+cat << EOF > $input
+EOF
+
+$DIALOG --title "EDIT BOX" \
+ --extra-button \
+ --help-button \
+ --fixed-font "$@" --editbox $input 0 0 2>$output
+retval=$?
+
+. ./report-edit
OpenPOWER on IntegriCloud